#------------------------------------------------------------------------------------------------
# Version number for default dependent components
#------------------------------------------------------------------------------------------------
DSPLINK_VERSION=1_65_00_02
LPM_VERSION=1_24_02_09
BIOS_VERSION=5_41_03_17
XDCTOOLS_VERSION=3_16_03_36
LINUXUTILS_VERSION=2_25_04_10


#------------------------------------------------------------------------------------------------
# Global Path Setup for Dependent components
#------------------------------------------------------------------------------------------------
CODEGEN_INSTALL_DIR     ?= $(HOME)/toolchains/TI_CGT_C6000_7.0.3

ARM_TOOLCHAIN_PATH      ?= $(HOME)/toolchains/arm-2009q1
ARM_TOOLCHAIN_PREFIX    ?= arm-none-linux-gnueabi-

BIOS_INSTALL_DIR        ?= $(C6RUN_INSTALL_DIR)/bios_$(BIOS_VERSION)
XDC_INSTALL_DIR         ?= $(C6RUN_INSTALL_DIR)/xdctools_$(XDCTOOLS_VERSION)
LINK_INSTALL_DIR        ?= $(C6RUN_INSTALL_DIR)/dsplink_linux_$(DSPLINK_VERSION)
CMEM_INSTALL_DIR        ?= $(C6RUN_INSTALL_DIR)/linuxutils_$(LINUXUTILS_VERSION)
LPM_INSTALL_DIR         ?= $(C6RUN_INSTALL_DIR)/local_power_manager_linux_$(LPM_VERSION)


#------------------------------------------------------------------------------------------------
# Get Platform specific paths and variables (if PLATFORM is defined)
#------------------------------------------------------------------------------------------------
ifdef PLATFORM
-include $(C6RUN_INSTALL_DIR)/platforms/$(PLATFORM)/platform.mak
endif


#------------------------------------------------------------------------------------------------
# Check to specify the default directory separator for path construction
#------------------------------------------------------------------------------------------------
ifneq ("$(COMSPEC)", "")
  ifeq ($(shell echo $${OSTYPE}), cygwin)
    DIRSEP ?=/
  else
    DIRSEP ?=\\
  endif
else
  ifeq ($(shell uname),Linux)
    DIRSEP ?= /
  endif
endif

